Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTableInfoElement Class Reference

`#include <IWORKTableInfoElement.h>`

Inheritance diagram for libetonyek::IWORKTableInfoElement:

## Public Member Functions
| IWORKTableInfoElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKStylePtr_t | m_style
boost::optional< IWORKWrap > | m_wrap

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTableInfoElement()

libetonyek::IWORKTableInfoElement::IWORKTableInfoElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTableInfoElement::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

void libetonyek::IWORKTableInfoElement::endOfElement | ( |  | ) |
| override private

## ◆ startOfElement()

void libetonyek::IWORKTableInfoElement::startOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKTableInfoElement::m_style
| private

Referenced by element(), and endOfElement().

## ◆ m_wrap

boost::optional<IWORKWrap> libetonyek::IWORKTableInfoElement::m_wrap
| private

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKTableInfoElement.h
- IWORKTableInfoElement.cpp